## org.exist.util.serializer
Interface Receiver

All Known Implementing Classes:
  DocumentBuilderReceiver, ReceiverToSAX, SAXSerializer, XIncludeFilter

public interface Receiver

A receiver is similar to the SAX content handler and lexical handler interfaces, but uses some higher level types as arguments. For example, element names are internally stored as QName objects, so startElement and endElement expect a QName. This way, we avoid copying objects.

Author:
  wolf

Method Summary
`void` `attribute(QName qname, java.lang.String value)`
`void` `cdataSection(char[] ch, int start, int len)`
`void` `characters(java.lang.CharSequence seq)`
`void` `comment(char[] ch, int start, int length)`
`void` `documentType(java.lang.String name, java.lang.String publicId, java.lang.String systemId)`
`void` `endDocument()`
`void` `endElement(QName qname)`
`void` `endPrefixMapping(java.lang.String prefix)`
`void` `processingInstruction(java.lang.String target, java.lang.String data)`
`void` `startDocument()`
`void` `startElement(QName qname, AttrList attribs)`
`void` `startPrefixMapping(java.lang.String prefix, java.lang.String namespaceURI)`

Method Detail

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String namespaceURI)
                            throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endPrefixMapping

    public void endPrefixMapping(java.lang.String prefix)
                          throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startElement

    public void startElement(QName qname,
                             AttrList attribs)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(QName qname)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(java.lang.CharSequence seq)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### attribute

    public void attribute(QName qname,
                          java.lang.String value)
                   throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### comment

    public void comment(char[] ch,
                        int start,
                        int length)
                 throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### cdataSection

    public void cdataSection(char[] ch,
                             int start,
                             int len)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### documentType

    public void documentType(java.lang.String name,
                             java.lang.String publicId,
                             java.lang.String systemId)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

Copyright (C) Wolfgang Meier. All rights reserved.